ECLIPSE(1)

NAME
Eclipse SUMO emissionsMap Version - Builds and writes an emissions map for SUMO's emission models

SYNOPSIS
emissionsMap [OPTION]*

DESCRIPTION
Eclipse SUMO emissionsMap Version v1_14_1+1447-a9bb7416089

    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Builds and writes an emissions map for SUMO's emission models.

  Configuration Options:

-c, --configuration-file FILE
    Loads the named config on startup

-C, --save-configuration FILE
    Saves current configuration into FILE

--save-configuration.relative
    Enforce relative paths when saving the configuration

--save-template FILE
    Saves a configuration template (empty) into FILE

--save-schema FILE
    Saves the configuration schema into FILE

--save-commented
    Adds comments to saved template, configuration, or schema

  Processing Options:

-i, --iterate
    If set, maps for all available emissions are written.

-e, --emission-class STR
    Defines the name of the emission class to generate the map for.

--v-min FLOAT
    Defines the minimum velocity boundary of the map to generate (in m/s).

--v-max FLOAT
    Defines the maximum velocity boundary of the map to generate (in m/s).

--v-step FLOAT
    Defines the velocity step size (in m/s).

--a-min FLOAT
    Defines the minimum acceleration boundary of the map to generate (in m/s^2).

--a-max FLOAT
    Defines the maximum acceleration boundary of the map to generate (in m/s^2).

--a-step FLOAT
    Defines the acceleration step size (in m/s^2).

--s-min FLOAT
    Defines the minimum slope boundary of the map to generate (in deg).

--s-max FLOAT
    Defines the maximum slope boundary of the map to generate (in deg).

--s-step FLOAT
    Defines the slope step size (in deg).

  Output Options:

-o, --output STR
    Defines the file (or the path if --iterate was set) to write the map(s) into.

--write-license
    Include license info into every output file

--output-prefix STR
    Prefix which is applied to all output files. The special string 'TIME' is replaced by the current time.

--precision INT
    Defines the number of digits after the comma for floating point output

--precision.geo INT
    Defines the number of digits after the comma for lon,lat output

-H, --human-readable-time
    Write time values as hour:minute:second or day:hour:minute:second rather than seconds

  Emissions Options:

--emissions.volumetric-fuel
    Return fuel consumption values in (legacy) unit l instead of mg

--phemlight-path FILE
    Determines where to load PHEMlight definitions from

--phemlight-year INT
    Enable fleet age modelling with the given reference year in PHEMlight5

--phemlight-temperature FLOAT
    Set ambient temperature to correct NOx emissions in PHEMlight5

  Report Options:

-v, --verbose
    Switches to verbose output

--print-options
    Prints option values before processing

-?, --help
    Prints this screen or selected topics

-V, --version
    Prints the current version

-X, --xml-validation STR
    Set schema validation scheme of XML inputs ("never", "local", "auto" or "always")

-W, --no-warnings
    Disables output of warnings

--aggregate-warnings INT
    Aggregate warnings of the same type whenever more than INT occur

-l, --log FILE
    Writes all messages to FILE (implies verbose)

--message-log FILE
    Writes all non-error messages to FILE (implies verbose)

--error-log FILE
    Writes all warnings and errors to FILE

REPORTING BUGS
Report bugs at <https://github.com/eclipse/sumo/issues>.
Get in contact via <sumo@dlr.de>.

    Build features: Linux-5.4.0-125-generic x86_64 GNU 9.4.0 Release FMI Proj GUI SWIG
    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Eclipse SUMO emissionsMap Version v1_14_1+1447-a9bb7416089 is part of SUMO.
This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html
This program may also be made available under the following Secondary
Licenses when the conditions for such availability set forth in the Eclipse
Public License 2.0 are satisfied: GNU General Public License, version 2 or later which is available at https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html
SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-or-later